## showq 0.4.1+git20090622+dfsg0

=== Makefile ===
#

all :
	./waf build

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

APPNAME='showq'
VERSION='0.5.0'
srcdir = '.'
blddir = 'output'

def set_options(opt):
    opt.sub_options('src')
    opt.sub_options('ui')

def configure(conf):
    conf.sub_config('src')
    conf.sub_config('ui')

def build(bld):
    bld.add_subdirs('src')
    bld.add_subdirs('ui')

=== src/wscript ===
#! /usr/bin/env python
# encoding: utf-8

VERSION='0.5.0'

def set_options(opt):
    opt.tool_options('compiler_cxx')

def configure(conf):
    conf.check_tool('compiler_cxx')
    conf.check(header_name='boost/shared_ptr.hpp')
    conf.check_cfg(package='gtkmm-2.4', args='--cflags --libs', uselib_store='GTKMM')
    conf.check_cfg(package='gthread-2.0', args='--cflags --libs', uselib_store='GTHREAD')
    conf.check_cfg(package='libxml++-2.6', args='--cflags --libs', uselib_store='XMLPP')
    conf.check_cfg(package='alsa', args='--cflags --libs', uselib_store='ALSA')
    conf.check_cfg(package='jack', args='--cflags --libs', uselib_store='JACK')
    conf.check_cfg(package='sndfile', args='--cflags --libs', uselib_store='SNDFILE')
    conf.check_cfg(package='vorbisfile', args='--cflags --libs', uselib_store='VORBISFILE')
    conf.check_cfg(package='samplerate', args='--cflags --libs', uselib_store='SAMPLERATE')

def build(bld):
    t = bld.new_task_gen(
        features     = 'cxx cprogram',
        source       = ['app.cc', 'main.cc', 'pref.cc', 'editcue.cc',
        'audio.cc', 'editstop.cc', 'editmidi.cc', 'editwave.cc', 'editfade.cc',
        'editgroup.cc', 'renumber.cc', 'utils.cc', 'file.cc', 'patch.cc'],
        target       = 'showq',
        includes     = '.',
        uselib       = 'GTKMM GTHREAD XMLPP ALSA JACK SNDFILE VORBISFILE SAMPLERATE',
        cxxflags      = ['-O2', '-Wall', '-DVERSIONSTRING=\"0.5.0\"',
        '-DGETTEXT_PACKAGE=\"showq\"',
        '-DPROGRAMNAME_LOCALEDIR=\"${PREFIX}/share/locale/\"']
    )

## showq 0.4.1%2Bgit20180114

=== debian/control ===
Source: showq
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper-compat (= 12),
 libxml++2.6-dev,
 libgtkmm-2.4-dev,
 libjack-dev,
 libasound2-dev (>= 1.0.8),
 libsndfile1-dev (>= 1.0.10),
 libvorbisfile3,
 libsamplerate0-dev (>= 0.1.1),
 meson
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/showq.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/showq
Homepage: https://github.com/evandelisle/showq

Package: showq
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: MIDI controllable audio player
 Application that can play audio cues and trigger MIDI events
 primarily developed for theatre productions.
 .
 Features:
  * 8 channels per_cue routing.
  * Playback through ALSA or JACK.
  * Load/Save cue list.
  * Hot key for any cue.
  * Application controllable by MIDI.

## showq 0.4.1+git20090622

=== debian/changelog ===
showq (0.4.1+git20090622-1) unstable; urgency=low

  * Initial Release. (closes: #622151)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 05 Feb 2011 21:38:37 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#LDFLAGS+=-Wl,--as-needed


WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	LINKFLAGS="-ldl" $(WAF) configure   --prefix=/usr

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	rm -f autowaf.pyc
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_strip:
	dh_strip --dbg-package=showq-dbg

=== debian/watch ===
version=3
http://download.berlios.de/showq/showq(.*)\.tar\.gz

## showq 0.4.1+git20090622+dfsg0

=== debian/changelog ===
showq (0.4.1+git20090622+dfsg0-1) unstable; urgency=low

  * Team upload.
  * Repack upstream tarball to get rid of the waf binary (Closes: #654502).
  * debian/rules: Properly prune *.pyc files.
  * debian/watch: Mangle debian's versioning.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 14:41:29 +0100

=== debian/control ===
Source: showq
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 python,
 libxml++2.6-dev,
 libgtkmm-2.4-dev,
 libjack-dev,
 libasound2-dev (>= 1.0.8),
 libsndfile1-dev (>= 1.0.10),
 libvorbisfile3,
 libsamplerate0-dev (>= 0.1.1),
 libboost-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/showq.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/showq.git
Homepage: https://developer.berlios.de/projects/showq/

Package: showq
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: MIDI controllable audio player
 Application that can play audio cues and trigger MIDI events
 primarily developed for theatre productions.
 .
 Features:
  * 8 channels per_cue routing.
  * Playback through ALSA or JACK.
  * Load/Save cue list.
  * Hot key for any cue.
  * Application controllable by MIDI.

Package: showq-dbg
Architecture: any
Section: debug
Priority: extra
Depends: showq (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for showq
 Application that can play audio cues and trigger MIDI events
 primarily developed for theatre productions.
 .
 This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 override_dh_auto_clean:
 	$(WAF) distclean
-	rm -f autowaf.pyc
+	find -name "*.pyc" -delete
 	dh_auto_clean
 
 override_dh_auto_install:

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg[0-9]*// \
http://download.berlios.de/showq/showq(.*)\.tar\.gz

## showq 0.4.1+git20151103~dfsg0

=== Makefile ===
#

all :
	./waf build

run:
	./output/default/src/showq

=== src/wscript ===
--- 
+++ 
@@ -27,7 +27,7 @@
         target       = 'showq',
         includes     = '.',
         uselib       = 'GTKMM GTHREAD XMLPP ALSA JACK SNDFILE VORBISFILE SAMPLERATE',
-        cxxflags      = ['-O2', '-Wall', '-DVERSIONSTRING=\"0.5.0\"',
+        cxxflags      = ['-g','-O2', '-Wall', '-DVERSIONSTRING=\"0.5.0\"',
         '-DGETTEXT_PACKAGE=\"showq\"',
         '-DPROGRAMNAME_LOCALEDIR=\"${PREFIX}/share/locale/\"']
     )

=== ui/wscript ===
#! /usr/bin/env python
# encoding: utf-8

import misc

def set_options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    bld.new_task_gen(
        source='showq.glade',
        rule='./gconvert',
        cwd=bld.path.abspath()
    )

    bld.install_files('${PREFIX}/share/showq/ui',
    ['editcue.ui',
    'editmidi.ui',
    'editfade.ui',
    'efaders.ui',
    'epatch.ui',
    'editwave.ui',
    'editgroup.ui',
    'app.ui',
    'pref.ui',
    'prop.ui',
    'renumber.ui',
    'about.ui',
    'popupmenu.ui',
    'patch.ui'])

=== debian/changelog ===
showq (0.4.1+git20151103~dfsg0-1) unstable; urgency=medium

  * Drop old repacking script.
  * Fix install docs.
  * Enable C++11 to prevent FTBFS.(closes: #805682)
  * Removed menu file (in response to the tech-ctte decision on #741573).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 21 Nov 2015 18:19:05 +0100

showq (0.4.1+git20090622+dfsg0-2) unstable; urgency=medium

  * Bump Standards.
  * Set dh/compat 9.
  * Fix VCS fields.
  * Remove DMUA.
  * Add Keywords to desktop file.
  * Enable parallel build.
  * Pass LDFLAGS.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 09 Jun 2015 23:17:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
  python,
  libxml++2.6-dev,
  libgtkmm-2.4-dev,
@@ -13,10 +13,9 @@
  libvorbisfile3,
  libsamplerate0-dev (>= 0.1.1),
  libboost-dev
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/showq.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/showq.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/showq.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/showq.git
 Homepage: https://developer.berlios.de/projects/showq/
 
 Package: showq

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
git_date= $(shell date +%Y%m%d)
dfsg_version = $(upstream_version)+git$(git_date)~dfsg0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')


export LINKFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -ldl
export CXXFLAGS := -std=c++11

WAF = ./waf

%:
	dh $@ --parallel

override_dh_auto_configure:
	$(WAF) configure   --prefix=/usr

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	find -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_strip:
	dh_strip --dbg-package=showq-dbg

# get-orig-source to drop upstream .gitignore file
get-orig-source:
	git  clone  git://github.com/harryhaaren/showq
	rm -fR $(pkg)/.git
	rm -fR $(pkg)/.gitignore
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)
	xz -zf $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)
	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
  https://github.com/harryhaaren/showq/tags .*/v?(\d\S*)\.tar\.gz

## showq 0.4.1+git20161215~dfsg0

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

APPNAME='showq'
VERSION='0.5.0'
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_cxx')

def configure(conf):
    conf.recurse('src ui')
    conf.define('GETTEXT_PACKAGE', 'showq')
    conf.define('PROGRAMNAME_LOCALEDIR', conf.options.prefix + 'share/showq')
    conf.define('UI_DIR', conf.options.prefix + 'share/showq/ui/')
    conf.define('VERSIONSTRING', VERSION)
    conf.write_config_header('config.h')

def build(bld):
    bld.recurse('src ui')

=== src/wscript ===
#! /usr/bin/env python
# encoding: utf-8

VERSION='0.5.0'

def options(opt):
    opt.load('compiler_cxx')

def configure(conf):
    conf.load('compiler_cxx')

    conf.check_cfg(atleast_pkgconfig_version='0.0.0')
    conf.check_cfg(package='gtkmm-2.4', args='--cflags --libs', uselib_store='GTKMM')
    conf.check_cfg(package='gthread-2.0', args='--cflags --libs', uselib_store='GTHREAD')
    conf.check_cfg(package='libxml++-2.6', args='--cflags --libs', uselib_store='XMLPP')
    conf.check_cfg(package='alsa', args='--cflags --libs', uselib_store='ALSA')
    conf.check_cfg(package='jack', args='--cflags --libs', uselib_store='JACK')
    conf.check_cfg(package='sndfile', args='--cflags --libs', uselib_store='SNDFILE')
    conf.check_cfg(package='samplerate', args='--cflags --libs', uselib_store='SAMPLERATE')
    conf.check_cfg(package='uuid', args='--cflags --libs', uselib_store='UUID')

def build(bld):
    t = bld.program(
        features     = 'cxx cprogram',
        source       = ['app.cc', 'main.cc', 'pref.cc', 'editcue.cc',
        'audio.cc', 'editstop.cc', 'editmidi.cc', 'editwave.cc', 'editfade.cc',
        'editgroup.cc', 'renumber.cc', 'utils.cc', 'file.cc', 'patch.cc'],
        target       = 'showq',
        includes     = '.',
        uselib       = 'GTKMM GTHREAD XMLPP ALSA JACK SNDFILE SAMPLERATE UUID',
        cxxflags      = ['-g','-O2', '-Wall', '-std=c++11']
    )

=== debian/changelog ===
showq (0.4.1+git20161215~dfsg0-3) unstable; urgency=medium

  * Set dh/compat 11.
  * Hack prefix to get app started. (Closes: #883636)
    Thanks to James Cowgill <jcowgill@debian.org>
  * Bump Standards.
  * Use git instead of cgit in VCS.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Jan 2018 18:09:47 +0100

showq (0.4.1+git20161215~dfsg0-2) unstable; urgency=medium

  * Drop B-D libboost-dev.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Jan 2018 17:45:55 +0100

showq (0.4.1+git20161215~dfsg0-1) unstable; urgency=medium

  * Update upstream git location.
  * Get rid of waf blob on repack.
  * New upstream version 0.4.1+git20161215~dfsg0
  * Patch refreshed.
  * Bump Standards.
  * Fix VCS fields.
  * Sign tags.
  * Update homepage. (Closes: #821794)
  * Set dh/compat 10.
  * Drop dbg package in favour of dbgsym.
  * Fix some hardening.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 15 Dec 2016 22:36:17 +0100

=== debian/control ===
Source: showq
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 11),
 python,
 libxml++2.6-dev,
 libgtkmm-2.4-dev,
 libjack-dev,
 libasound2-dev (>= 1.0.8),
 libsndfile1-dev (>= 1.0.10),
 libvorbisfile3,
 libsamplerate0-dev (>= 0.1.1)
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/showq.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/showq.git
Homepage: https://github.com/evandelisle/showq

Package: showq
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: MIDI controllable audio player
 Application that can play audio cues and trigger MIDI events
 primarily developed for theatre productions.
 .
 Features:
  * 8 channels per_cue routing.
  * Playback through ALSA or JACK.
  * Load/Save cue list.
  * Hot key for any cue.
  * Application controllable by MIDI.

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
  https://github.com/evandelisle/showq/tags .*/v?(\d\S*)\.tar\.gz

## showq 0.4.1+git20180114

=== src/ui/wscript ===
#! /usr/bin/env python
# encoding: utf-8


def options(opt):
    pass

def configure(conf):
    pass

def build(bld):
    bld.install_files('${PREFIX}/share/showq/ui',
    ['editcue.ui',
    'editmidi.ui',
    'editfade.ui',
    'efaders.ui',
    'epatch.ui',
    'editwave.ui',
    'editgroup.ui',
    'app.ui',
    'pref.ui',
    'prop.ui',
    'renumber.ui',
    'about.ui',
    'popupmenu.ui',
    'patch.ui'])

=== debian/changelog ===
showq (0.4.1+git20180114-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update showq.desktop (adds French menu item)
  * Update copyright (http -> https)

  [ Sebastian Ramacher ]
  * New upstream snapshot
    - Switch to meson (Closes: #938479)
  * debian/watch: Use uscan to fetch from git repo
  * debian/: Switch to meson
  * debian/docs: Remove docs that are note really useful
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 12

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Feb 2020 10:48:08 +0100

## showq 0.4.1+git20200424

=== debian/changelog ===
showq (0.4.1+git20200424-1) unstable; urgency=medium

  * New upstream snapshot 0.4.1+git20200424
  * Bump dh-compat to 13
  * d/copyright:
    + Update upstream email address
    + Update d/copyright year
    + Add myself to the d/ section
  * d/upstream/metadata: Add Archive and remove obsolete Name
  * Provide a bigger icon
  * Update desktop file

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 30 Apr 2020 23:52:14 +0200

showq (0.4.1+git20200218-1) unstable; urgency=medium

  * New upstream snapshot 0.4.1+git20200218
  * Drop 01-binary-spelling-fix.patch, applied by upstream
  * Add d/upstream/metadata
  * Set RRR: no
  * Add me as an uploader

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 31 Mar 2020 09:57:26 +0200

## showq 0.4.1+git20200907

=== debian/changelog ===
showq (0.4.1+git20200907-1) unstable; urgency=medium

  * New upstream version 0.4.1+git20200907
  * Add a very simple autopkgtest

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 09 Sep 2020 20:37:24 +0200

=== debian/control ===
Source: showq
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper-compat (= 13),
 libxml++2.6-dev,
 libgtkmm-2.4-dev,
 libjack-dev,
 libasound2-dev (>= 1.0.8),
 libsndfile1-dev (>= 1.0.10),
 libvorbisfile3,
 libsamplerate0-dev (>= 0.1.1),
 meson
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/showq.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/showq
Homepage: https://github.com/evandelisle/showq
Rules-Requires-Root: no

Package: showq
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: MIDI controllable audio player
 Application that can play audio cues and trigger MIDI events
 primarily developed for theatre productions.
 .
 Features:
  * 8 channels per_cue routing.
  * Playback through ALSA or JACK.
  * Load/Save cue list.
  * Hot key for any cue.
  * Application controllable by MIDI.

=== debian/tests/control ===
Test-Command: showq &
Depends: @
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts="mode=git,pretty=0.4.1+git%cd" \
  https://github.com/evandelisle/showq HEAD
